#include <XBee.h>

#define XBEE_UART1

XBee xbee = XBee();

// allocate two bytes for to hold a 10-bit analog reading
uint8_t payload[] = { 0, 0 };

int pin5 = 0;

void setup() {

  Serial.begin(38400);
  Serial.println("Arduino. Will send binary data.");
  
#ifdef XBEE_UART1
  xbee.setSerial(Serial1);
  // Inits the XBee 802.15.4 library
  Serial1.begin(38400);
#else        
  xbee.begin(38400);
#endif  
}

void loop() {
  
  delay(5000);

  // break down 10-bit reading into two bytes and place in payload
  pin5 = analogRead(5);
  pin5 = 963;
  Serial.println(pin5);
  payload[0] = pin5 >> 8 & 0xff;
  payload[1] = pin5 & 0xff;
      
  // 64-bit addressing: This is the SH + SL address of remote XBee
  XBeeAddress64 addr64 = XBeeAddress64(0x00000000, 0x0000FFFF);
  // unless you have MY on the receiving radio set to FFFF, this will be received as a RX16 packet
  
  // in this way, we know the exact size of the payload
  Tx64Request tx = Tx64Request(addr64, payload, sizeof(payload));
  
  // Send your request
  xbee.send(tx);

  TxStatusResponse txStatus = TxStatusResponse();
  
    // read incoming pkt, mainly to get the transmit status
  xbee.readPacket();

        if (xbee.getResponse().isAvailable()) {        
                // is it a response to the previously sent packet?            	
    	        if (xbee.getResponse().getApiId() == TX_STATUS_RESPONSE) {
                    
                      
    	              xbee.getResponse().getTxStatusResponse(txStatus);	  
                
                      if (txStatus.isSuccess()) {
                            Serial.println("Send successful");
                      } else
                        Serial.println("Send failed");
                        
                }
        }              
}
